summaryrefslogtreecommitdiffstats
path: root/source-builder/sb-track
diff options
context:
space:
mode:
authorChris Johns <chrisj@rtems.org>2020-08-10 14:49:49 +1000
committerChris Johns <chrisj@rtems.org>2020-08-10 16:19:47 +1000
commit12418190b984f3f94da08588276ef3d6440bd454 (patch)
tree7d338838a57cc342f1edd7e578c25054a18e9342 /source-builder/sb-track
parent6/7: Update unstable RTEMS 6/7 tool chain (diff)
downloadrtems-source-builder-12418190b984f3f94da08588276ef3d6440bd454.tar.bz2
sb/track: Add a command to track build sets.
- Process a build set for a range of hosts and output a dependency tree, the used build set and configuration files. - Output the configuration files that are no referenced Closes #4036
Diffstat (limited to 'source-builder/sb-track')
-rwxr-xr-xsource-builder/sb-track27
1 files changed, 27 insertions, 0 deletions
diff --git a/source-builder/sb-track b/source-builder/sb-track
new file mode 100755
index 0000000..a739978
--- /dev/null
+++ b/source-builder/sb-track
@@ -0,0 +1,27 @@
+#! /bin/sh
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2019 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-tools'.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+#
+set -e
+base=$(dirname $0)
+PYTHON_CMD=${base}/sb/cmd-track.py
+if test -f ${base}/sb/python-wrapper.sh; then
+ . ${base}/sb/python-wrapper.sh
+fi
+echo "error: python wrapper not found"